/* ///////////////////////////////////////////////////////////////////////
 * File:		image.h		
 *
 * Created:		08.12.31
 * Updated:		08.12.31
 *
 * Brief:		The image library
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */

#ifndef EXTL_GRAPHIC_IMAGE_H
#define EXTL_GRAPHIC_IMAGE_H

#ifndef __cplusplus
#	error image.h need be supported by c++.
#endif

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "prefix.h"
#include "basic_image.h"
#include "image_painter.h"
#include "nearest_neighbor_zoom_filter.h"

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_GRAPHIC_IMAGE_H */
/* //////////////////////////////////////////////////////////////////// */
